Character (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class Character

    java.lang.Object
      |
      +--java.lang.Character

All Implemented Interfaces:
  Comparable, Serializable

public final class Character
extends Object
implements Serializable, Comparable

The `Character` class wraps a value of the primitive type `char` in an object. An object of type `Character` contains a single field whose type is `char`.

In addition, this class provides several methods for determining a character's category (lowercase letter, digit, etc.) and for converting characters from uppercase to lowercase and vice versa.

Character information is based on the Unicode Standard, version 3.0.

The methods and data of class `Character` are defined by the information in the UnicodeData file that is part of the Unicode Character Database maintained by the Unicode Consortium. This file specifies various properties including name and general category for every defined Unicode code point or character range.

The file and its description are available from the Unicode Consortium at:

- http://www.unicode.org

Since:
  1.0
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Character.Subset` Instances of this class represent particular subsets of the Unicode character set.
`static class` | `Character.UnicodeBlock` A family of character subsets representing the character blocks in the Unicode specification.

Field Summary
`static byte` | `COMBINING_SPACING_MARK` General category "Mc" in the Unicode specification.
`static byte` | `CONNECTOR_PUNCTUATION` General category "Pc" in the Unicode specification.
`static byte` | `CONTROL` General category "Cc" in the Unicode specification.
`static byte` | `CURRENCY_SYMBOL` General category "Sc" in the Unicode specification.
`static byte` | `DASH_PUNCTUATION` General category "Pd" in the Unicode specification.
`static byte` | `DECIMAL_DIGIT_NUMBER` General category "Nd" in the Unicode specification.
`static byte` | `DIRECTIONALITY_ARABIC_NUMBER` Weak bidirectional character type "AN" in the Unicode specification.
`static byte` | `DIRECTIONALITY_BOUNDARY_NEUTRAL` Weak bidirectional character type "BN" in the Unicode specification.
`static byte` | `DIRECTIONALITY_COMMON_NUMBER_SEPARATOR` Weak bidirectional character type "CS" in the Unicode specification.
`static byte` | `DIRECTIONALITY_EUROPEAN_NUMBER` Weak bidirectional character type "EN" in the Unicode specification.
`static byte` | `DIRECTIONALITY_EUROPEAN_NUMBER_SEPARATOR` Weak bidirectional character type "ES" in the Unicode specification.
`static byte` | `DIRECTIONALITY_EUROPEAN_NUMBER_TERMINATOR` Weak bidirectional character type "ET" in the Unicode specification.
`static byte` | `DIRECTIONALITY_LEFT_TO_RIGHT` Strong bidirectional character type "L" in the Unicode specification.
`static byte` | `DIRECTIONALITY_LEFT_TO_RIGHT_EMBEDDING` Strong bidirectional character type "LRE" in the Unicode specification.
`static byte` | `DIRECTIONALITY_LEFT_TO_RIGHT_OVERRIDE` Strong bidirectional character type "LRO" in the Unicode specification.
`static byte` | `DIRECTIONALITY_NONSPACING_MARK` Weak bidirectional character type "NSM" in the Unicode specification.
`static byte` | `DIRECTIONALITY_OTHER_NEUTRALS` Neutral bidirectional character type "ON" in the Unicode specification.
`static byte` | `DIRECTIONALITY_PARAGRAPH_SEPARATOR` Neutral bidirectional character type "B" in the Unicode specification.
`static byte` | `DIRECTIONALITY_POP_DIRECTIONAL_FORMAT` Weak bidirectional character type "PDF" in the Unicode specification.
`static byte` | `DIRECTIONALITY_RIGHT_TO_LEFT` Strong bidirectional character type "R" in the Unicode specification.
`static byte` | `DIRECTIONALITY_RIGHT_TO_LEFT_ARABIC` Strong bidirectional character type "AL" in the Unicode specification.
`static byte` | `DIRECTIONALITY_RIGHT_TO_LEFT_EMBEDDING` Strong bidirectional character type "RLE" in the Unicode specification.
`static byte` | `DIRECTIONALITY_RIGHT_TO_LEFT_OVERRIDE` Strong bidirectional character type "RLO" in the Unicode specification.
`static byte` | `DIRECTIONALITY_SEGMENT_SEPARATOR` Neutral bidirectional character type "S" in the Unicode specification.
`static byte` | `DIRECTIONALITY_UNDEFINED` Undefined bidirectional character type.
`static byte` | `DIRECTIONALITY_WHITESPACE` Neutral bidirectional character type "WS" in the Unicode specification.
`static byte` | `ENCLOSING_MARK` General category "Me" in the Unicode specification.
`static byte` | `END_PUNCTUATION` General category "Pe" in the Unicode specification.
`static byte` | `FINAL_QUOTE_PUNCTUATION` General category "Pf" in the Unicode specification.
`static byte` | `FORMAT` General category "Cf" in the Unicode specification.
`static byte` | `INITIAL_QUOTE_PUNCTUATION` General category "Pi" in the Unicode specification.
`static byte` | `LETTER_NUMBER` General category "Nl" in the Unicode specification.
`static byte` | `LINE_SEPARATOR` General category "Zl" in the Unicode specification.
`static byte` | `LOWERCASE_LETTER` General category "Ll" in the Unicode specification.
`static byte` | `MATH_SYMBOL` General category "Sm" in the Unicode specification.
`static int` | `MAX_RADIX` The maximum radix available for conversion to and from strings.
`static char` | `MAX_VALUE` The constant value of this field is the largest value of type `char`, `'\uFFFF'`.
`static int` | `MIN_RADIX` The minimum radix available for conversion to and from strings.
`static char` | `MIN_VALUE` The constant value of this field is the smallest value of type `char`, `'\u0000'`.
`static byte` | `MODIFIER_LETTER` General category "Lm" in the Unicode specification.
`static byte` | `MODIFIER_SYMBOL` General category "Sk" in the Unicode specification.
`static byte` | `NON_SPACING_MARK` General category "Mn" in the Unicode specification.
`static byte` | `OTHER_LETTER` General category "Lo" in the Unicode specification.
`static byte` | `OTHER_NUMBER` General category "No" in the Unicode specification.
`static byte` | `OTHER_PUNCTUATION` General category "Po" in the Unicode specification.
`static byte` | `OTHER_SYMBOL` General category "So" in the Unicode specification.
`static byte` | `PARAGRAPH_SEPARATOR` General category "Zp" in the Unicode specification.
`static byte` | `PRIVATE_USE` General category "Co" in the Unicode specification.
`static byte` | `SPACE_SEPARATOR` General category "Zs" in the Unicode specification.
`static byte` | `START_PUNCTUATION` General category "Ps" in the Unicode specification.
`static byte` | `SURROGATE` General category "Cs" in the Unicode specification.
`static byte` | `TITLECASE_LETTER` General category "Lt" in the Unicode specification.
`static Class` | `TYPE` The `Class` instance representing the primitive type `char`.
`static byte` | `UNASSIGNED` General category "Cn" in the Unicode specification.
`static byte` | `UPPERCASE_LETTER` General category "Lu" in the Unicode specification.

Constructor Summary
`Character(char value)` Constructs a newly allocated `Character` object that represents the specified `char` value.

Method Summary
`char` | `charValue()` Returns the value of this `Character` object.
`int` | `compareTo(Character anotherCharacter)` Compares two `Character` objects numerically.
`int` | `compareTo(Object o)` Compares this `Character` object to another object.
`static int` | `digit(char ch, int radix)` Returns the numeric value of the character `ch` in the specified radix.
`boolean` | `equals(Object obj)` Compares this object against the specified object.
`static char` | `forDigit(int digit, int radix)` Determines the character representation for a specific digit in the specified radix.
`static byte` | `getDirectionality(char c)` Returns the Unicode directionality property for the given character.
`static int` | `getNumericValue(char ch)` Returns the `int` value that the specified Unicode character represents.
`static int` | `getType(char ch)` Returns a value indicating a character's general category.
`int` | `hashCode()` Returns a hash code for this `Character`.
`static boolean` | `isDefined(char ch)` Determines if a character is defined in Unicode.
`static boolean` | `isDigit(char ch)` Determines if the specified character is a digit.
`static boolean` | `isIdentifierIgnorable(char ch)` Determines if the specified character should be regarded as an ignorable character in a Java identifier or a Unicode identifier.
`static boolean` | `isISOControl(char ch)` Determines if the specified character is an ISO control character.
`static boolean` | `isJavaIdentifierPart(char ch)` Determines if the specified character may be part of a Java identifier as other than the first character.
`static boolean` | `isJavaIdentifierStart(char ch)` Determines if the specified character is permissible as the first character in a Java identifier.
`static boolean` | `isJavaLetter(char ch)` Deprecated. Replaced by isJavaIdentifierStart(char).
`static boolean` | `isJavaLetterOrDigit(char ch)` Deprecated. Replaced by isJavaIdentifierPart(char).
`static boolean` | `isLetter(char ch)` Determines if the specified character is a letter.
`static boolean` | `isLetterOrDigit(char ch)` Determines if the specified character is a letter or digit.
`static boolean` | `isLowerCase(char ch)` Determines if the specified character is a lowercase character.
`static boolean` | `isMirrored(char c)` Determines whether the character is mirrored according to the Unicode specification.
`static boolean` | `isSpace(char ch)` Deprecated. Replaced by isWhitespace(char).
`static boolean` | `isSpaceChar(char ch)` Determines if the specified character is a Unicode space character.
`static boolean` | `isTitleCase(char ch)` Determines if the specified character is a titlecase character.
`static boolean` | `isUnicodeIdentifierPart(char ch)` Determines if the specified character may be part of a Unicode identifier as other than the first character.
`static boolean` | `isUnicodeIdentifierStart(char ch)` Determines if the specified character is permissible as the first character in a Unicode identifier.
`static boolean` | `isUpperCase(char ch)` Determines if the specified character is an uppercase character.
`static boolean` | `isWhitespace(char ch)` Determines if the specified character is white space according to Java.
`static char` | `toLowerCase(char ch)` Converts the character argument to lowercase using case mapping information from the UnicodeData file.
`String` | `toString()` Returns a `String` object representing this `Character`'s value.
`static String` | `toString(char c)` Returns a `String` object representing the specified `char`.
`static char` | `toTitleCase(char ch)` Converts the character argument to titlecase using case mapping information from the UnicodeData file.
`static char` | `toUpperCase(char ch)` Converts the character argument to uppercase using case mapping information from the UnicodeData file.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MIN_RADIX

    public static final int MIN_RADIX

  The minimum radix available for conversion to and from strings. The constant value of this field is the smallest value permitted for the radix argument in radix-conversion methods such as the `digit` method, the `forDigit` method, and the `toString` method of class `Integer`.

  See Also:
    `digit(char, int)`, `forDigit(int, int)`, `Integer.toString(int, int)`, `Integer.valueOf(java.lang.String)`, Constant Field Values

### MAX_RADIX

    public static final int MAX_RADIX

  The maximum radix available for conversion to and from strings. The constant value of this field is the largest value permitted for the radix argument in radix-conversion methods such as the `digit` method, the `forDigit` method, and the `toString` method of class `Integer`.

  See Also:
    `digit(char, int)`, `forDigit(int, int)`, `Integer.toString(int, int)`, `Integer.valueOf(java.lang.String)`, Constant Field Values

### MIN_VALUE

    public static final char MIN_VALUE

  The constant value of this field is the smallest value of type `char`, `'\u0000'`.

  Since:
    1.0.2
  See Also:
    Constant Field Values

### MAX_VALUE

    public static final char MAX_VALUE

  The constant value of this field is the largest value of type `char`, `'\uFFFF'`.

  Since:
    1.0.2
  See Also:
    Constant Field Values

### TYPE

    public static final Class TYPE

  The `Class` instance representing the primitive type `char`.

  Since:
    1.1

### UPPERCASE_LETTER

    public static final byte UPPERCASE_LETTER

  General category "Lu" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### LOWERCASE_LETTER

    public static final byte LOWERCASE_LETTER

  General category "Ll" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### TITLECASE_LETTER

    public static final byte TITLECASE_LETTER

  General category "Lt" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### NON_SPACING_MARK

    public static final byte NON_SPACING_MARK

  General category "Mn" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### COMBINING_SPACING_MARK

    public static final byte COMBINING_SPACING_MARK

  General category "Mc" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### ENCLOSING_MARK

    public static final byte ENCLOSING_MARK

  General category "Me" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### DECIMAL_DIGIT_NUMBER

    public static final byte DECIMAL_DIGIT_NUMBER

  General category "Nd" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### LETTER_NUMBER

    public static final byte LETTER_NUMBER

  General category "Nl" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### OTHER_NUMBER

    public static final byte OTHER_NUMBER

  General category "No" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### SPACE_SEPARATOR

    public static final byte SPACE_SEPARATOR

  General category "Zs" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### LINE_SEPARATOR

    public static final byte LINE_SEPARATOR

  General category "Zl" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### PARAGRAPH_SEPARATOR

    public static final byte PARAGRAPH_SEPARATOR

  General category "Zp" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### CONTROL

    public static final byte CONTROL

  General category "Cc" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### FORMAT

    public static final byte FORMAT

  General category "Cf" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### SURROGATE

    public static final byte SURROGATE

  General category "Cs" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### PRIVATE_USE

    public static final byte PRIVATE_USE

  General category "Co" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### UNASSIGNED

    public static final byte UNASSIGNED

  General category "Cn" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### MODIFIER_LETTER

    public static final byte MODIFIER_LETTER

  General category "Lm" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### OTHER_LETTER

    public static final byte OTHER_LETTER

  General category "Lo" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### CONNECTOR_PUNCTUATION

    public static final byte CONNECTOR_PUNCTUATION

  General category "Pc" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### DASH_PUNCTUATION

    public static final byte DASH_PUNCTUATION

  General category "Pd" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### START_PUNCTUATION

    public static final byte START_PUNCTUATION

  General category "Ps" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### END_PUNCTUATION

    public static final byte END_PUNCTUATION

  General category "Pe" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### INITIAL_QUOTE_PUNCTUATION

    public static final byte INITIAL_QUOTE_PUNCTUATION

  General category "Pi" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### FINAL_QUOTE_PUNCTUATION

    public static final byte FINAL_QUOTE_PUNCTUATION

  General category "Pf" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### OTHER_PUNCTUATION

    public static final byte OTHER_PUNCTUATION

  General category "Po" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### MATH_SYMBOL

    public static final byte MATH_SYMBOL

  General category "Sm" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### CURRENCY_SYMBOL

    public static final byte CURRENCY_SYMBOL

  General category "Sc" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### MODIFIER_SYMBOL

    public static final byte MODIFIER_SYMBOL

  General category "Sk" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### OTHER_SYMBOL

    public static final byte OTHER_SYMBOL

  General category "So" in the Unicode specification.

  Since:
    1.1
  See Also:
    Constant Field Values

### DIRECTIONALITY_UNDEFINED

    public static final byte DIRECTIONALITY_UNDEFINED

  Undefined bidirectional character type. Undefined `char` values have undefined directionality in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_LEFT_TO_RIGHT

    public static final byte DIRECTIONALITY_LEFT_TO_RIGHT

  Strong bidirectional character type "L" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_RIGHT_TO_LEFT

    public static final byte DIRECTIONALITY_RIGHT_TO_LEFT

  Strong bidirectional character type "R" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_RIGHT_TO_LEFT_ARABIC

    public static final byte DIRECTIONALITY_RIGHT_TO_LEFT_ARABIC

  Strong bidirectional character type "AL" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_EUROPEAN_NUMBER

    public static final byte DIRECTIONALITY_EUROPEAN_NUMBER

  Weak bidirectional character type "EN" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_EUROPEAN_NUMBER_SEPARATOR

    public static final byte DIRECTIONALITY_EUROPEAN_NUMBER_SEPARATOR

  Weak bidirectional character type "ES" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_EUROPEAN_NUMBER_TERMINATOR

    public static final byte DIRECTIONALITY_EUROPEAN_NUMBER_TERMINATOR

  Weak bidirectional character type "ET" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_ARABIC_NUMBER

    public static final byte DIRECTIONALITY_ARABIC_NUMBER

  Weak bidirectional character type "AN" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_COMMON_NUMBER_SEPARATOR

    public static final byte DIRECTIONALITY_COMMON_NUMBER_SEPARATOR

  Weak bidirectional character type "CS" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_NONSPACING_MARK

    public static final byte DIRECTIONALITY_NONSPACING_MARK

  Weak bidirectional character type "NSM" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_BOUNDARY_NEUTRAL

    public static final byte DIRECTIONALITY_BOUNDARY_NEUTRAL

  Weak bidirectional character type "BN" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_PARAGRAPH_SEPARATOR

    public static final byte DIRECTIONALITY_PARAGRAPH_SEPARATOR

  Neutral bidirectional character type "B" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_SEGMENT_SEPARATOR

    public static final byte DIRECTIONALITY_SEGMENT_SEPARATOR

  Neutral bidirectional character type "S" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_WHITESPACE

    public static final byte DIRECTIONALITY_WHITESPACE

  Neutral bidirectional character type "WS" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_OTHER_NEUTRALS

    public static final byte DIRECTIONALITY_OTHER_NEUTRALS

  Neutral bidirectional character type "ON" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_LEFT_TO_RIGHT_EMBEDDING

    public static final byte DIRECTIONALITY_LEFT_TO_RIGHT_EMBEDDING

  Strong bidirectional character type "LRE" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_LEFT_TO_RIGHT_OVERRIDE

    public static final byte DIRECTIONALITY_LEFT_TO_RIGHT_OVERRIDE

  Strong bidirectional character type "LRO" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_RIGHT_TO_LEFT_EMBEDDING

    public static final byte DIRECTIONALITY_RIGHT_TO_LEFT_EMBEDDING

  Strong bidirectional character type "RLE" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_RIGHT_TO_LEFT_OVERRIDE

    public static final byte DIRECTIONALITY_RIGHT_TO_LEFT_OVERRIDE

  Strong bidirectional character type "RLO" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

### DIRECTIONALITY_POP_DIRECTIONAL_FORMAT

    public static final byte DIRECTIONALITY_POP_DIRECTIONAL_FORMAT

  Weak bidirectional character type "PDF" in the Unicode specification.

  Since:
    1.4
  See Also:
    Constant Field Values

Constructor Detail

### Character

    public Character(char value)

  Constructs a newly allocated `Character` object that represents the specified `char` value.

Parameters:
  `value` - the value to be represented by the `Character` object.

Method Detail

### charValue

    public char charValue()

  Returns the value of this `Character` object.

  Returns:
    the primitive `char` value represented by this object.

### hashCode

    public int hashCode()

  Returns a hash code for this `Character`.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### equals

    public boolean equals(Object obj)

  Compares this object against the specified object. The result is `true` if and only if the argument is not `null` and is a `Character` object that represents the same `char` value as this object.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the object to compare with.
  Returns:
    `true` if the objects are the same; `false` otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### toString

    public String toString()

  Returns a `String` object representing this `Character`'s value. The result is a string of length 1 whose sole component is the primitive `char` value represented by this `Character` object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this object.

### toString

    public static String toString(char c)

  Returns a `String` object representing the specified `char`. The result is a string of length 1 consisting solely of the specified `char`.

  Parameters:
    `c` - the `char` to be converted
  Returns:
    the string representation of the specified `char`
  Since:
    1.4

### isLowerCase

    public static boolean isLowerCase(char ch)

  Determines if the specified character is a lowercase character.

  A character is lowercase if its general category type, provided by `Character.getType(ch)`, is `LOWERCASE_LETTER`.

  The following are examples of lowercase characters:

  >      a b c d e f g h i j k l m n o p q r s t u v w x y z
  >      '\u00DF' '\u00E0' '\u00E1' '\u00E2' '\u00E3' '\u00E4' '\u00E5' '\u00E6'
  >      '\u00E7' '\u00E8' '\u00E9' '\u00EA' '\u00EB' '\u00EC' '\u00ED' '\u00EE'
  >      '\u00EF' '\u00F0' '\u00F1' '\u00F2' '\u00F3' '\u00F4' '\u00F5' '\u00F6'
  >      '\u00F8' '\u00F9' '\u00FA' '\u00FB' '\u00FC' '\u00FD' '\u00FE' '\u00FF'

  Many other Unicode characters are lowercase too.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is lowercase; `false` otherwise.
  See Also:
    `isLowerCase(char)`, `isTitleCase(char)`, `toLowerCase(char)`, `getType(char)`

### isUpperCase

    public static boolean isUpperCase(char ch)

  Determines if the specified character is an uppercase character.

  A character is uppercase if its general category type, provided by `Character.getType(ch)`, is `UPPERCASE_LETTER`.

  The following are examples of uppercase characters:

  >      A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
  >      '\u00C0' '\u00C1' '\u00C2' '\u00C3' '\u00C4' '\u00C5' '\u00C6' '\u00C7'
  >      '\u00C8' '\u00C9' '\u00CA' '\u00CB' '\u00CC' '\u00CD' '\u00CE' '\u00CF'
  >      '\u00D0' '\u00D1' '\u00D2' '\u00D3' '\u00D4' '\u00D5' '\u00D6' '\u00D8'
  >      '\u00D9' '\u00DA' '\u00DB' '\u00DC' '\u00DD' '\u00DE'

  Many other Unicode characters are uppercase too.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is uppercase; `false` otherwise.
  Since:
    1.0
  See Also:
    `isLowerCase(char)`, `isTitleCase(char)`, `toUpperCase(char)`, `getType(char)`

### isTitleCase

    public static boolean isTitleCase(char ch)

  Determines if the specified character is a titlecase character.

  A character is a titlecase character if its general category type, provided by `Character.getType(ch)`, is `TITLECASE_LETTER`.

  Some characters look like pairs of Latin letters. For example, there is an uppercase letter that looks like "LJ" and has a corresponding lowercase letter that looks like "lj". A third form, which looks like "Lj", is the appropriate form to use when rendering a word in lowercase with initial capitals, as for a book title.

  These are some of the Unicode characters for which this method returns `true`:

  - `LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON`
  - `LATIN CAPITAL LETTER L WITH SMALL LETTER J`
  - `LATIN CAPITAL LETTER N WITH SMALL LETTER J`
  - `LATIN CAPITAL LETTER D WITH SMALL LETTER Z`

  Many other Unicode characters are titlecase too.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is titlecase; `false` otherwise.
  Since:
    1.0.2
  See Also:
    `isLowerCase(char)`, `isUpperCase(char)`, `toTitleCase(char)`, `getType(char)`

### isDigit

    public static boolean isDigit(char ch)

  Determines if the specified character is a digit.

  A character is a digit if its general category type, provided by `Character.getType(ch)`, is `DECIMAL_DIGIT_NUMBER`.

  Some Unicode character ranges that contain digits:

  - `'\u0030'` through `'\u0039'`, ISO-LATIN-1 digits (`'0'` through `'9'`)
  - `'\u0660'` through `'\u0669'`, Arabic-Indic digits
  - `'\u06F0'` through `'\u06F9'`, Extended Arabic-Indic digits
  - `'\u0966'` through `'\u096F'`, Devanagari digits
  - `'\uFF10'` through `'\uFF19'`, Fullwidth digits
  Many other character ranges contain digits as well.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is a digit; `false` otherwise.
  See Also:
    `digit(char, int)`, `forDigit(int, int)`, `getType(char)`

### isDefined

    public static boolean isDefined(char ch)

  Determines if a character is defined in Unicode.

  A character is defined if at least one of the following is true:

  - It has an entry in the UnicodeData file.
  - It has a value in a range defined by the UnicodeData file.

  Parameters:
    `ch` - the character to be tested
  Returns:
    `true` if the character has a defined meaning in Unicode; `false` otherwise.
  Since:
    1.0.2
  See Also:
    `isDigit(char)`, `isLetter(char)`, `isLetterOrDigit(char)`, `isLowerCase(char)`, `isTitleCase(char)`, `isUpperCase(char)`

### isLetter

    public static boolean isLetter(char ch)

  Determines if the specified character is a letter.

  A character is considered to be a letter if its general category type, provided by `Character.getType(ch)`, is any of the following:

  - `UPPERCASE_LETTER`
  - `LOWERCASE_LETTER`
  - `TITLECASE_LETTER`
  - `MODIFIER_LETTER`
  - `OTHER_LETTER`
  Not all letters have case. Many characters are letters but are neither uppercase nor lowercase nor titlecase.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is a letter; `false` otherwise.
  See Also:
    `isDigit(char)`, `isJavaIdentifierStart(char)`, `isJavaLetter(char)`, `isJavaLetterOrDigit(char)`, `isLetterOrDigit(char)`, `isLowerCase(char)`, `isTitleCase(char)`, `isUnicodeIdentifierStart(char)`, `isUpperCase(char)`

### isLetterOrDigit

    public static boolean isLetterOrDigit(char ch)

  Determines if the specified character is a letter or digit.

  A character is considered to be a letter or digit if either `Character.isLetter(char ch)` or `Character.isDigit(char ch)` returns `true` for the character.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is a letter or digit; `false` otherwise.
  Since:
    1.0.2
  See Also:
    `isDigit(char)`, `isJavaIdentifierPart(char)`, `isJavaLetter(char)`, `isJavaLetterOrDigit(char)`, `isLetter(char)`, `isUnicodeIdentifierPart(char)`

### isJavaLetter

    public static boolean isJavaLetter(char ch)

  Deprecated. Replaced by isJavaIdentifierStart(char).

  Determines if the specified character is permissible as the first character in a Java identifier.

  A character may start a Java identifier if and only if one of the following is true:

  - `isLetter(ch)` returns `true`
  - `getType(ch)` returns `LETTER_NUMBER`
  - ch is a currency symbol (such as "$")
  - ch is a connecting punctuation character (such as "_").

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character may start a Java identifier; `false` otherwise.
  Since:
    1.02
  See Also:
    `isJavaLetterOrDigit(char)`, `isJavaIdentifierStart(char)`, `isJavaIdentifierPart(char)`, `isLetter(char)`, `isLetterOrDigit(char)`, `isUnicodeIdentifierStart(char)`

### isJavaLetterOrDigit

    public static boolean isJavaLetterOrDigit(char ch)

  Deprecated. Replaced by isJavaIdentifierPart(char).

  Determines if the specified character may be part of a Java identifier as other than the first character.

  A character may be part of a Java identifier if and only if any of the following are true:

  - it is a letter
  - it is a currency symbol (such as `'$'`)
  - it is a connecting punctuation character (such as `'_'`)
  - it is a digit
  - it is a numeric letter (such as a Roman numeral character)
  - it is a combining mark
  - it is a non-spacing mark
  - `isIdentifierIgnorable` returns `true` for the character.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character may be part of a Java identifier; `false` otherwise.
  Since:
    1.02
  See Also:
    `isJavaLetter(char)`, `isJavaIdentifierStart(char)`, `isJavaIdentifierPart(char)`, `isLetter(char)`, `isLetterOrDigit(char)`, `isUnicodeIdentifierPart(char)`, `isIdentifierIgnorable(char)`

### isJavaIdentifierStart

    public static boolean isJavaIdentifierStart(char ch)

  Determines if the specified character is permissible as the first character in a Java identifier.

  A character may start a Java identifier if and only if one of the following conditions is true:

  - `isLetter(ch)` returns `true`
  - `getType(ch)` returns `LETTER_NUMBER`
  - ch is a currency symbol (such as "$")
  - ch is a connecting punctuation character (such as "_").

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character may start a Java identifier; `false` otherwise.
  Since:
    1.1
  See Also:
    `isJavaIdentifierPart(char)`, `isLetter(char)`, `isUnicodeIdentifierStart(char)`

### isJavaIdentifierPart

    public static boolean isJavaIdentifierPart(char ch)

  Determines if the specified character may be part of a Java identifier as other than the first character.

  A character may be part of a Java identifier if any of the following are true:

  - it is a letter
  - it is a currency symbol (such as `'$'`)
  - it is a connecting punctuation character (such as `'_'`)
  - it is a digit
  - it is a numeric letter (such as a Roman numeral character)
  - it is a combining mark
  - it is a non-spacing mark
  - `isIdentifierIgnorable` returns `true` for the character

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character may be part of a Java identifier; `false` otherwise.
  Since:
    1.1
  See Also:
    `isIdentifierIgnorable(char)`, `isJavaIdentifierStart(char)`, `isLetterOrDigit(char)`, `isUnicodeIdentifierPart(char)`

### isUnicodeIdentifierStart

    public static boolean isUnicodeIdentifierStart(char ch)

  Determines if the specified character is permissible as the first character in a Unicode identifier.

  A character may start a Unicode identifier if and only if one of the following conditions is true:

  - `isLetter(ch)` returns `true`
  - `getType(ch)` returns `LETTER_NUMBER`.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character may start a Unicode identifier; `false` otherwise.
  Since:
    1.1
  See Also:
    `isJavaIdentifierStart(char)`, `isLetter(char)`, `isUnicodeIdentifierPart(char)`

### isUnicodeIdentifierPart

    public static boolean isUnicodeIdentifierPart(char ch)

  Determines if the specified character may be part of a Unicode identifier as other than the first character.

  A character may be part of a Unicode identifier if and only if one of the following statements is true:

  - it is a letter
  - it is a connecting punctuation character (such as `'_'`)
  - it is a digit
  - it is a numeric letter (such as a Roman numeral character)
  - it is a combining mark
  - it is a non-spacing mark
  - `isIdentifierIgnorable` returns `true` for this character.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character may be part of a Unicode identifier; `false` otherwise.
  Since:
    1.1
  See Also:
    `isIdentifierIgnorable(char)`, `isJavaIdentifierPart(char)`, `isLetterOrDigit(char)`, `isUnicodeIdentifierStart(char)`

### isIdentifierIgnorable

    public static boolean isIdentifierIgnorable(char ch)

  Determines if the specified character should be regarded as an ignorable character in a Java identifier or a Unicode identifier.

  The following Unicode characters are ignorable in a Java identifier or a Unicode identifier:

  - ISO control characters that are not whitespace
    - `'\u0000'` through `'\u0008'`
    - `'\u000E'` through `'\u001B'`
    - `'\u007F'` through `'\u009F'`
  - all characters that have the `FORMAT` general category value

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is an ignorable control character that may be part of a Java or Unicode identifier; `false` otherwise.
  Since:
    1.1
  See Also:
    `isJavaIdentifierPart(char)`, `isUnicodeIdentifierPart(char)`

### toLowerCase

    public static char toLowerCase(char ch)

  Converts the character argument to lowercase using case mapping information from the UnicodeData file.

  Note that `Character.isLowerCase(Character.toLowerCase(ch))` does not always return `true` for some ranges of characters, particularly those that are symbols or ideographs.

  Parameters:
    `ch` - the character to be converted.
  Returns:
    the lowercase equivalent of the character, if any; otherwise, the character itself.
  See Also:
    `isLowerCase(char)`, `isUpperCase(char)`, `toTitleCase(char)`, `toUpperCase(char)`

### toUpperCase

    public static char toUpperCase(char ch)

  Converts the character argument to uppercase using case mapping information from the UnicodeData file.

  Note that `Character.isUpperCase(Character.toUpperCase(ch))` does not always return `true` for some ranges of characters, particularly those that are symbols or ideographs.

  Parameters:
    `ch` - the character to be converted.
  Returns:
    the uppercase equivalent of the character, if any; otherwise, the character itself.
  See Also:
    `isLowerCase(char)`, `isUpperCase(char)`, `toLowerCase(char)`, `toTitleCase(char)`

### toTitleCase

    public static char toTitleCase(char ch)

  Converts the character argument to titlecase using case mapping information from the UnicodeData file. If a character has no explicit titlecase mapping and is not itself a titlecase char according to UnicodeData, then the uppercase mapping is returned as an equivalent titlecase mapping. If the `char` argument is already a titlecase `char`, the same `char` value will be returned.

  Note that `Character.isTitleCase(Character.toTitleCase(ch))` does not always return `true` for some ranges of characters.

  Parameters:
    `ch` - the character to be converted.
  Returns:
    the titlecase equivalent of the character, if any; otherwise, the character itself.
  Since:
    1.0.2
  See Also:
    `isTitleCase(char)`, `toLowerCase(char)`, `toUpperCase(char)`

### digit

    public static int digit(char ch,
                            int radix)

  Returns the numeric value of the character `ch` in the specified radix.

  If the radix is not in the range `MIN_RADIX` <= `radix` <= `MAX_RADIX` or if the value of `ch` is not a valid digit in the specified radix, `-1` is returned. A character is a valid digit if at least one of the following is true:

  - The method `isDigit` is `true` of the character and the Unicode decimal digit value of the character (or its single-character decomposition) is less than the specified radix. In this case the decimal digit value is returned.
  - The character is one of the uppercase Latin letters `'A'` through `'Z'` and its code is less than `radix + 'A' - 10`. In this case, `ch - 'A' + 10` is returned.
  - The character is one of the lowercase Latin letters `'a'` through `'z'` and its code is less than `radix + 'a' - 10`. In this case, `ch - 'a' + 10` is returned.

  Parameters:
    `ch` - the character to be converted.
    `radix` - the radix.
  Returns:
    the numeric value represented by the character in the specified radix.
  See Also:
    `forDigit(int, int)`, `isDigit(char)`

### getNumericValue

    public static int getNumericValue(char ch)

  Returns the `int` value that the specified Unicode character represents. For example, the character `'\u216C'` (the roman numeral fifty) will return an int with a value of 50.

  The letters A-Z in their uppercase (`'\u0041'` through `'\u005A'`), lowercase (`'\u0061'` through `'\u007A'`), and full width variant (`'\uFF21'` through `'\uFF3A'` and `'\uFF41'` through `'\uFF5A'`) forms have numeric values from 10 through 35. This is independent of the Unicode specification, which does not assign numeric values to these `char` values.

  If the character does not have a numeric value, then -1 is returned. If the character has a numeric value that cannot be represented as a nonnegative integer (for example, a fractional value), then -2 is returned.

  Parameters:
    `ch` - the character to be converted.
  Returns:
    the numeric value of the character, as a nonnegative `int` value; -2 if the character has a numeric value that is not a nonnegative integer; -1 if the character has no numeric value.
  Since:
    1.1
  See Also:
    `forDigit(int, int)`, `isDigit(char)`

### isSpace

    public static boolean isSpace(char ch)

  Deprecated. Replaced by isWhitespace(char).

  Determines if the specified character is ISO-LATIN-1 white space. This method returns `true` for the following five characters only:

  `'\t'` | `'\u0009'` | `HORIZONTAL TABULATION`
  `'\n'` | `'\u000A'` | `NEW LINE`
  `'\f'` | `'\u000C'` | `FORM FEED`
  `'\r'` | `'\u000D'` | `CARRIAGE RETURN`
  `' '` | `'\u0020'` | `SPACE`

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is ISO-LATIN-1 white space; `false` otherwise.
  See Also:
    `isSpaceChar(char)`, `isWhitespace(char)`

### isSpaceChar

    public static boolean isSpaceChar(char ch)

  Determines if the specified character is a Unicode space character. A character is considered to be a space character if and only if it is specified to be a space character by the Unicode standard. This method returns true if the character's general category type is any of the following:
  - `SPACE_SEPARATOR`
  - `LINE_SEPARATOR`
  - `PARAGRAPH_SEPARATOR`

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is a space character; `false` otherwise.
  Since:
    1.1
  See Also:
    `isWhitespace(char)`

### isWhitespace

    public static boolean isWhitespace(char ch)

  Determines if the specified character is white space according to Java. A character is a Java whitespace character if and only if it satisfies one of the following criteria:
  - It is a Unicode space character (`SPACE_SEPARATOR`, `LINE_SEPARATOR`, or `PARAGRAPH_SEPARATOR`) but is not also a non-breaking space (`'\u00A0'`, `'\u2007'`, `'\u202F'`).
  - It is `'\u0009'`, HORIZONTAL TABULATION.
  - It is `'\u000A'`, LINE FEED.
  - It is `'\u000B'`, VERTICAL TABULATION.
  - It is `'\u000C'`, FORM FEED.
  - It is `'\u000D'`, CARRIAGE RETURN.
  - It is `'\u001C'`, FILE SEPARATOR.
  - It is `'\u001D'`, GROUP SEPARATOR.
  - It is `'\u001E'`, RECORD SEPARATOR.
  - It is `'\u001F'`, UNIT SEPARATOR.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is a Java whitespace character; `false` otherwise.
  Since:
    1.1
  See Also:
    `isSpaceChar(char)`

### isISOControl

    public static boolean isISOControl(char ch)

  Determines if the specified character is an ISO control character. A character is considered to be an ISO control character if its code is in the range `'\u0000'` through `'\u001F'` or in the range `'\u007F'` through `'\u009F'`.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    `true` if the character is an ISO control character; `false` otherwise.
  Since:
    1.1
  See Also:
    `isSpaceChar(char)`, `isWhitespace(char)`

### getType

    public static int getType(char ch)

  Returns a value indicating a character's general category.

  Parameters:
    `ch` - the character to be tested.
  Returns:
    a value of type `int` representing the character's general category.
  Since:
    1.1
  See Also:
    `COMBINING_SPACING_MARK`, `CONNECTOR_PUNCTUATION`, `CONTROL`, `CURRENCY_SYMBOL`, `DASH_PUNCTUATION`, `DECIMAL_DIGIT_NUMBER`, `ENCLOSING_MARK`, `END_PUNCTUATION`, `FINAL_QUOTE_PUNCTUATION`, `FORMAT`, `INITIAL_QUOTE_PUNCTUATION`, `LETTER_NUMBER`, `LINE_SEPARATOR`, `LOWERCASE_LETTER`, `MATH_SYMBOL`, `MODIFIER_LETTER`, `MODIFIER_SYMBOL`, `NON_SPACING_MARK`, `OTHER_LETTER`, `OTHER_NUMBER`, `OTHER_PUNCTUATION`, `OTHER_SYMBOL`, `PARAGRAPH_SEPARATOR`, `PRIVATE_USE`, `SPACE_SEPARATOR`, `START_PUNCTUATION`, `SURROGATE`, `TITLECASE_LETTER`, `UNASSIGNED`, `UPPERCASE_LETTER`

### forDigit

    public static char forDigit(int digit,
                                int radix)

  Determines the character representation for a specific digit in the specified radix. If the value of `radix` is not a valid radix, or the value of `digit` is not a valid digit in the specified radix, the null character (`'\u0000'`) is returned.

  The `radix` argument is valid if it is greater than or equal to `MIN_RADIX` and less than or equal to `MAX_RADIX`. The `digit` argument is valid if `0 <=digit < radix`.

  If the digit is less than 10, then `'0' + digit` is returned. Otherwise, the value `'a' + digit - 10` is returned.

  Parameters:
    `digit` - the number to convert to a character.
    `radix` - the radix.
  Returns:
    the `char` representation of the specified digit in the specified radix.
  See Also:
    `MIN_RADIX`, `MAX_RADIX`, `digit(char, int)`

### getDirectionality

    public static byte getDirectionality(char c)

  Returns the Unicode directionality property for the given character. Character directionality is used to calculate the visual ordering of text. The directionality value of undefined `char` values is `DIRECTIONALITY_UNDEFINED`.

  Parameters:
    `c` - `char` for which the directionality property is requested.
  Returns:
    the directionality property of the `char` value.
  Since:
    1.4
  See Also:
    `DIRECTIONALITY_UNDEFINED`, `DIRECTIONALITY_LEFT_TO_RIGHT`, `DIRECTIONALITY_RIGHT_TO_LEFT`, `DIRECTIONALITY_RIGHT_TO_LEFT_ARABIC`, `DIRECTIONALITY_EUROPEAN_NUMBER`, `DIRECTIONALITY_EUROPEAN_NUMBER_SEPARATOR`, `DIRECTIONALITY_EUROPEAN_NUMBER_TERMINATOR`, `DIRECTIONALITY_ARABIC_NUMBER`, `DIRECTIONALITY_COMMON_NUMBER_SEPARATOR`, `DIRECTIONALITY_NONSPACING_MARK`, `DIRECTIONALITY_BOUNDARY_NEUTRAL`, `DIRECTIONALITY_PARAGRAPH_SEPARATOR`, `DIRECTIONALITY_SEGMENT_SEPARATOR`, `DIRECTIONALITY_WHITESPACE`, `DIRECTIONALITY_OTHER_NEUTRALS`, `DIRECTIONALITY_LEFT_TO_RIGHT_EMBEDDING`, `DIRECTIONALITY_LEFT_TO_RIGHT_OVERRIDE`, `DIRECTIONALITY_RIGHT_TO_LEFT_EMBEDDING`, `DIRECTIONALITY_RIGHT_TO_LEFT_OVERRIDE`, `DIRECTIONALITY_POP_DIRECTIONAL_FORMAT`

### isMirrored

    public static boolean isMirrored(char c)

  Determines whether the character is mirrored according to the Unicode specification. Mirrored characters should have their glyphs horizontally mirrored when displayed in text that is right-to-left. For example, `'\u0028'` LEFT PARENTHESIS is semantically defined to be an opening parenthesis. This will appear as a "(" in text that is left-to-right but as a ")" in text that is right-to-left.

  Parameters:
    `c` - `char` for which the mirrored property is requested
  Returns:
    `true` if the char is mirrored, `false` if the `char` is not mirrored or is not defined.
  Since:
    1.4

### compareTo

    public int compareTo(Character anotherCharacter)

  Compares two `Character` objects numerically.

  Parameters:
    `anotherCharacter` - the `Character` to be compared.
  Returns:
    the value `0` if the argument `Character` is equal to this `Character`; a value less than `0` if this `Character` is numerically less than the `Character` argument; and a value greater than `0` if this `Character` is numerically greater than the `Character` argument (unsigned comparison). Note that this is strictly a numerical comparison; it is not locale-dependent.
  Since:
    1.2

### compareTo

    public int compareTo(Object o)

  Compares this `Character` object to another object. If the object is a `Character`, this function behaves like `compareTo(Character)`. Otherwise, it throws a `ClassCastException` (as `Character` objects are comparable only to other `Character` objects).

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - the `Object` to be compared.
  Returns:
    the value `0` if the argument is a `Character` numerically equal to this `Character`; a value less than `0` if the argument is a `Character` numerically greater than this `Character`; and a value greater than `0` if the argument is a `Character` numerically less than this `Character`.
  Throws:
    ``ClassCastException`` - if the argument is not a `Character`.
  Since:
    1.2
  See Also:
    `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.